Index: macos.hpp
===================================================================
--- macos.hpp	(revision 44745)
+++ macos.hpp	(working copy)
@@ -47,6 +47,15 @@
 #    define BOOST_NO_STDC_NAMESPACE
 #  endif
 
+#  if (__GNUC__ == 4)
+
+// Both gcc and intel require these.  No obvious OS version macros
+// to condition setting these flags on.
+#    define BOOST_HAS_PTHREAD_MUTEXATTR_SETTYPE
+#    define BOOST_HAS_NANOSLEEP
+
+#  endif
+
 #else
 
 // Using the MSL C library.
